<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF87FD=59</action>
      <action>maincpu.pb@FF87FC=09</action>
    </script>
  </cheat>

  <cheat desc="Finish this Stage Now!">
    <script state="on">
      <action>maincpu.pb@FF87FD=00</action>
      <action>maincpu.pb@FF87FC=00</action>
    </script>
  </cheat>

  <cheat desc="End the game next stage"> <comment>Enable during play!</comment>
    <script state="on">
      <action>maincpu.pb@FF800D=08</action>
    </script>
  </cheat>

  <cheat desc="Always 1 hit to kill boss">
    <script state="run">
      <action>maincpu.pb@FF82F4=00</action>
      <action>maincpu.pb@FF8324=00</action>
    </script>
  </cheat>

  <cheat desc="Kill Boss with 1 hit Now!">
    <script state="on">
      <action>maincpu.pb@FF82F4=00</action>
      <action>maincpu.pb@FF8324=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF805E=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FF8032=20</action>
      <action>maincpu.pb@FF805C=20</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF8032=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1"> <comment>Invincibility cheat ONLY works on VS CPU mode.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@013A70</action>
      <action>temp1 =maincpu.mw@01D188</action>
      <action>temp2 =maincpu.mw@01D224</action>
      <action>temp3 =maincpu.mw@01E284</action>
    </script>
    <script state="run">
      <action>maincpu.mb@013A70=60</action>
      <action>maincpu.mw@01D188=4E71</action>
      <action>maincpu.mw@01D224=4E71</action>
      <action>maincpu.mw@01E284=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mb@013A70=temp0 </action>
      <action>maincpu.mw@01D188=temp1 </action>
      <action>maincpu.mw@01D224=temp2 </action>
      <action>maincpu.mw@01E284=temp3 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL1">
    <script state="run">
      <action>maincpu.pb@FF8052=99</action>
      <action>maincpu.pb@FF8051=99</action>
      <action>maincpu.pb@FF8050=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Necklaces PL1">
    <script state="run">
      <action>maincpu.pb@FF805D=99</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="These PL2 cheats are for a real player ONLY!!"/>
  <cheat desc="-----------------------------------------------"/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF809E=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FF8072=20</action>
      <action>maincpu.pb@FF809C=20</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF8072=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2"> <comment>Invincibility cheat ONLY works on VS CPU mode.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@013A70</action>
      <action>temp1 =maincpu.mw@01D4B2</action>
      <action>temp2 =maincpu.mw@01D54E</action>
      <action>temp3 =maincpu.mw@01E3E6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@013A70=60</action>
      <action>maincpu.mw@01D4B2=4E71</action>
      <action>maincpu.mw@01D54E=4E71</action>
      <action>maincpu.mw@01E3E6=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.mb@013A70=temp0 </action>
      <action>maincpu.mw@01D4B2=temp1 </action>
      <action>maincpu.mw@01D54E=temp2 </action>
      <action>maincpu.mw@01E3E6=temp3 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL2">
    <script state="run">
      <action>maincpu.pb@FF8092=99</action>
      <action>maincpu.pb@FF8091=99</action>
      <action>maincpu.pb@FF8090=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Necklaces PL2">
    <script state="run">
      <action>maincpu.pb@FF809D=99</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
